package model

type HcCardorder struct {
	Id             int     `json:"id" xorm:"not null pk autoincr INT(11)"`
	Orderid        string  `json:"orderId" xorm:"default '' VARCHAR(255)"`
	CreateTime     int     `json:"create_time" xorm:"default 0 INT(11)"`
	Uid            int     `json:"uid" xorm:"default 0 comment('站长id') INT(11)"`
	Zuid           int     `json:"zuid" xorm:"default 0 comment('站长平台的用户') INT(11)"`
	Statut         string  `json:"statut" xorm:"default '' comment('状态') VARCHAR(100)"`
	Account        string  `json:"account" xorm:"default '' comment('充值账号') VARCHAR(100)"`
	BuyNum         int     `json:"buy_num" xorm:"default 0 comment('购买数量') INT(11)"`
	GId            int     `json:"g_id" xorm:"default 0 comment('商品id') INT(11)"`
	SpecId         int     `json:"spec_id" xorm:"default 0 comment('套餐id') INT(11)"`
	Type           string  `json:"type" xorm:"default '' comment('类型') VARCHAR(100)"`
	Payment        float64 `json:"payment" xorm:"default 0.00 DOUBLE(11,2)"`
	Msg            string  `json:"msg" xorm:"default '' VARCHAR(100)"`
	PayTime        int     `json:"pay_time" xorm:"default 0 INT(11)"`
	LId            int     `json:"l_id" xorm:"default 0 INT(11)"`
	SysOrderid     string  `json:"sys_orderId" xorm:"default '' VARCHAR(255)"`
	Status         string  `json:"status" xorm:"default '' VARCHAR(255)"`
	IsToreturn     int     `json:"is_toreturn" xorm:"default 0 INT(11)"`
	CardMsg        string  `json:"card_msg" xorm:"TEXT"`
	IsFh           int     `json:"is_fh" xorm:"default 0 INT(11)"`
	Oid            string  `json:"oid" xorm:"default '' VARCHAR(255)"`
	RechargeStatus int     `json:"recharge_status" xorm:"default 0 comment('0无 1充值中 2充值成功 3充值失败') INT(11)"`
	NextUpdateTime int     `json:"next_update_time" xorm:"default 0 INT(11)"`
	UpdateTime     int     `json:"update_time" xorm:"default 0 INT(11)"`
	CreateMsg      string  `json:"create_msg" xorm:"TEXT"`
	ShowMsg        string  `json:"show_msg" xorm:"TEXT"`
	Amount         float64 `json:"amount" xorm:"default 0.00 DOUBLE(11,2)"`
	Idcard         string  `json:"idcard" xorm:"default '' VARCHAR(255)"`
}
